## GrssFeedsGroup GrssFeedsGroup — import and export group of channels |

## Functions

#define | FEEDS_GROUP()
#define | FEEDS_GROUP_CLASS()
#define | FEEDS_GROUP_GET_CLASS()
GrssFeedsGroup * | grss_feeds_group_new ()
GList * | grss_feeds_group_get_formats ()
GList * | grss_feeds_group_parse_file ()
gboolean | grss_feeds_group_export_file ()

## Types and Values

#define | FEEDS_GROUP_TYPE

## Object Hierarchy

        GObject
        ╰── GrssFeedsGroup

## Description

GrssFeedsGroup is an utility to read and write lists of GrssFeedChannels in different formats, such as OPML and XOXO.

## Functions

### FEEDS_GROUP()

    #define FEEDS_GROUP(o)			(G_TYPE_CHECK_INSTANCE_CAST ((o), FEEDS_GROUP_TYPE, GrssFeedsGroup))

### FEEDS_GROUP_CLASS()

    #define FEEDS_GROUP_CLASS(c)		(G_TYPE_CHECK_CLASS_CAST ((c), FEEDS_GROUP_TYPE, GrssFeedsGroupClass))

### FEEDS_GROUP_GET_CLASS()

    #define FEEDS_GROUP_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), FEEDS_GROUP_TYPE, GrssFeedsGroupClass))

### grss_feeds_group_new ()

    GrssFeedsGroup *
    grss_feeds_group_new ();

Allocates a new GrssFeedsGroup.

#### Returns

a new GrssFeedsGroup.

### grss_feeds_group_get_formats ()

    GList *
    grss_feeds_group_get_formats (GrssFeedsGroup *group);

Returns the list of supported file formats.

#### Parameters

group | a GrssFeedsGroup. |

#### Returns

a list of constant strings with names of supported formats. The list must be freed when no longer used.

[element-type utf8][transfer container]

### grss_feeds_group_parse_file ()

    GList *
    grss_feeds_group_parse_file (GrssFeedsGroup *group,
                                 const gchar *path,
                                 GError **error);

Parses the given file to obtain list of listed feeds.

#### Parameters

group | a GrssFeedsGroup. |
path | path of the file to parse. |
error | location for eventual errors. |

#### Returns

a list of GrssFeedChannels, or NULL if an error occours and `error` is set.

[element-type GrssFeedChannel][transfer full]

### grss_feeds_group_export_file ()

    gboolean
    grss_feeds_group_export_file (GrssFeedsGroup *group,
                                  GList *channels,
                                  const gchar *format,
                                  const gchar *uri,
                                  GError **error);

Creates a new file with the list of `channels` rappresented in the required `format` . It a file already exists at the `uri` location, it is overwritten.

#### Parameters

group | a GrssFeedsGroup. |
channels | list of GrssFeedChannels. | [element-type GrssFeedChannel]
format | string rappresenting the desired export format, as returnes by `grss_feeds_group_get_formats()`. |
uri | URI of the file to write. |
error | location for eventual errors. |

#### Returns

`TRUE` if the file is created correctly, or `FALSE` if an error occours and `error` is set.

## Types and Values

### FEEDS_GROUP_TYPE

    #define FEEDS_GROUP_TYPE		(grss_feeds_group_get_type())